#!/bin/bash
declare changelist=${1:-Unset}
declare -i i=0
declare file= action=

# Value for $data will like: edit://some/file/path
data=$(p4 -ztag -F "%action${i}%:%depotFile${i}%" describe -s $changelist)
echo D=[$data]
while [[ "$data" != ":" ]]; do
   action=${data%%:*}
   file="//${data##*://}"
   echo -e "[$action]:[$file]"
   # Handle only actions need to be concerned with.  Ignore branch,
   # delete, move/delete.
   [[ $action =~ ^add|move/add|edit|integrate$ ]] || continue
   echo "Do DOS2UNIX check here for [$file]"
   i=$((i+1))
   data=$(p4 -ztag -F "%action${i}%:%depotFile${i}%" describe -s $changelist)
done

